Vanilla Forum < 1.1.4 sortcategories.php CategoryID Parameter SQL Injection

Medium Nessus Network Monitor Plugin ID 4258

Synopsis

The remote host is vulnerable to a SQL injection attack.

Description

The remote host is running the Vanilla Forum, a web forum. This version of Vanilla is vulnerable to a flaw in the way that it handles user-supplied data. Data passed to the 'CategoryID' parameter of the 'sortcategories.php' script can contain SQL queries that are ultimately run against the default database server. An attacker exploiting this flaw would be able to execute arbitrary SQL commands against the default database server.

Solution

Upgrade to version 1.1.4 or higher.

See Also

http://getvanilla.com

Plugin Details

Severity: Medium

ID: 4258

Family: CGI

Published: 2007/10/22

Modified: 2018/09/16

Dependencies: 1442

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 5.8

Temporal Score: 5.5

Vector: CVSS2#AV:A/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:U/RC:ND

CVSSv3

Base Score: 6.3

Temporal Score: 6.2

Vector: CVSS3#AV:A/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:F/RL:U/RC:X

Vulnerability Information

CPE: cpe:/a:vanillaforums:vanilla_forums

Reference Information

CVE: CVE-2007-5643

BID: 26145